#
# Makefile for 'reqtools.lib' and 'reqtoolsnb.lib'
#

ASMFLAGS=

.asm.o:
	@Echo "*e[33;1m  Asm -iINCLUDE: $<*e[0m"
	asm -iINCLUDE: $(ASMFLAGS) $*.asm

.c.o:
	@Echo "*e[33;1m  sc NOSTKCHK OPTIMIZE $(CFLAGS) $<*e[0m"
	sc NOSTKCHK OPTIMIZE $*.c

OBJS1 = rtEZRequest.o rtEZRequestTags.o rtGetLong.o rtGetString.o rtSpread.o\
 rtFileRequest.o rtAllocRequest.o rtChangeReqAttr.o rtFontRequest.o
OBJS2 = rtPaletteRequest.o rtReqHandler.o rtEZRequestA.o rtGetLongA.o\
 rtFreeFileList.o rtGetStringA.o rtChangeReqAttrA.o rtFontRequestA.o
OBJS3 = rtAllocRequestA.o rtFreeRequest.o rtFreeReqBuffer.o rtFileRequestA.o\
 rtPaletteRequestA.o rtReqHandlerA.o rtSetWaitPointer.o rtCloseWindowSafely.o
OBJS4 = rtScreenToFrontSafely.o rtSetReqPosition.o rtGetVScreenSize.o\
 rtScreenModeRequest.o rtScreenModeRequestA.o rtLockWindow.o rtUnlockWindow.o
OBJS5 = autoopen.o

reqtools.lib: $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4) $(OBJS5)
	oml reqtools.lib R $(OBJS1)
	oml reqtools.lib R $(OBJS2)
	oml reqtools.lib R $(OBJS3)
	oml reqtools.lib R $(OBJS4)
	oml reqtools.lib R $(OBJS5)
	@Delete $(OBJS1)
	@Delete $(OBJS2)
	@Delete $(OBJS3)
	@Delete $(OBJS4)
	@Delete $(OBJS5)

reqtoolsnb.lib: $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4) $(OBJS5)
	oml reqtoolsnb.lib R $(OBJS1)
	oml reqtoolsnb.lib R $(OBJS2)
	oml reqtoolsnb.lib R $(OBJS3)
	oml reqtoolsnb.lib R $(OBJS4)
	oml reqtoolsnb.lib R $(OBJS5)
	@Delete $(OBJS1)
	@Delete $(OBJS2)
	@Delete $(OBJS3)
	@Delete $(OBJS4)
	@Delete $(OBJS5)
